#include <math.h>

float f(float a2, float a1, float a0, float x)
{
  return a2*x*x + a1*x + a0;
}

int hatReelleNst(float a2, float a1, float a0)
{
  return (a1*a1/4 >= a0);
}

float reelleNst1(float a2, float a1, float a0)
{
  if (hatReelleNst(a2, a1, a0))
  {
    return -a1/(2*a2) - sqrt(a1*a1/(4*a2) - a0/a2);
  }
  return -1.7e+38; //Rueckgabewert im Fehlerfall
}

float reelleNst2(float a2, float a1, float a0)
{
  if (hatReelleNst(a2, a1, a0))
  {
    return -a1/(2*a2) + sqrt(a1*a1/(4*a2) - a0/a2);
  }
  return -1.7e+38; //Rueckgabewert im Fehlerfall
}

float scheitelx(float a2, float a1, float a0)
{
  return -a1/(2*a2);
}

float scheitely(float a2, float a1, float a0)
{
  return f(a2, a1, a0, scheitelx(a2, a1, a0));
}

